diff mbox

gnu: Update python2-pbkdf2 (refactored)

Message ID 6585f1df16ff68eaba53178343983e0b@d4n1.org
State New
Headers show

Commit Message

Daniel Pimentel June 16, 2016, 12:12 p.m. UTC
Add python2-pbkdf2

Comments

Leo Famulari June 18, 2016, 12:37 a.m. UTC | #1
On Thu, Jun 16, 2016 at 09:12:56AM -0300, Daniel Pimentel wrote:

Thanks! Can you rebase this patch on the current master branch?

This patch's context is your patch for python2-jsonrpclib, but I changed
the license in that patch, so this patch cannot be applied.

In the meantime, some comments:

> Subject: [PATCH 2/2] gnu: Add python2-pbkdf2

Can you add the line for the changelog? See the line I added to
python2-jsonrpclib's commit message for reference.

> ---
>  gnu/packages/python.scm | 25 +++++++++++++++++++++++++
>  1 file changed, 25 insertions(+)
> 
> diff --git a/gnu/packages/python.scm b/gnu/packages/python.scm
> index 6dece06..0d1391b 100644
> --- a/gnu/packages/python.scm
> +++ b/gnu/packages/python.scm
> @@ -9244,3 +9244,28 @@ It supports both the original 1.0 specification, as well as the
>  new (proposed) 2.0 spec, which includes batch submission, keyword arguments,
>   etc.")
>      (license license:expat)))
> +
> +(define-public python2-pbkdf2
> +  (package
> +    (name "python2-pbkdf2")
> +    (version "1.3")
> +    (source (origin
> +              (method url-fetch)
> +              (uri (string-append
> +                    "https://pypi.python.org/packages/source/p/pbkdf2/pbkdf2-"
> +                    version ".tar.gz"))

Can you make these lines shorter than 80 characters?

> +              (sha256
> +               (base32
> +                "0yb99rl2mbsaamj571s1mf6vgniqh23v98k4632150hjkwv9fqxc"))))
> +    (build-system python-build-system)
> +    (inputs
> +     `(("python2-setuptools" ,python2-setuptools)))

Can you check if it works with setuptools as native-input?

> +    (arguments
> +     `(#:tests? #f
> +                #:python ,python-2))

This #:python line should be aligned with #:tests.

> +    (home-page "https://www.dlitz.net/software/python-pbkdf2/")

Unfortunately this server is inaccesible. They have enabled HTTP Strict
Transport Security (HSTS), but their TLS certificate has expired.
Hopefully they fix this. No change required to the patch, although it
would be friendly if you notified them.

> +    (synopsis "A module that implements the password-based key derivation function PBKDF2")

This is too long. I don't have a good suggestion. How about
"Password-Based Key Derivation Function 2 in Python"?
diff mbox

Patch

From ccfc0c589d297ff262fdc8d7495ffb12854bfc7c Mon Sep 17 00:00:00 2001
From: Daniel Pimentel <d4n1@d4n1.org>
Date: Thu, 16 Jun 2016 09:11:09 -0300
Subject: [PATCH 2/2] gnu: Add python2-pbkdf2

---
 gnu/packages/python.scm | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/gnu/packages/python.scm b/gnu/packages/python.scm
index 6dece06..0d1391b 100644
--- a/gnu/packages/python.scm
+++ b/gnu/packages/python.scm
@@ -9244,3 +9244,28 @@  It supports both the original 1.0 specification, as well as the
 new (proposed) 2.0 spec, which includes batch submission, keyword arguments,
  etc.")
     (license license:expat)))
+
+(define-public python2-pbkdf2
+  (package
+    (name "python2-pbkdf2")
+    (version "1.3")
+    (source (origin
+              (method url-fetch)
+              (uri (string-append
+                    "https://pypi.python.org/packages/source/p/pbkdf2/pbkdf2-"
+                    version ".tar.gz"))
+              (sha256
+               (base32
+                "0yb99rl2mbsaamj571s1mf6vgniqh23v98k4632150hjkwv9fqxc"))))
+    (build-system python-build-system)
+    (inputs
+     `(("python2-setuptools" ,python2-setuptools)))
+    (arguments
+     `(#:tests? #f
+                #:python ,python-2))
+    (home-page "https://www.dlitz.net/software/python-pbkdf2/")
+    (synopsis "A module that implements the password-based key derivation function PBKDF2")
+    (description
+     "This module implements the password-based key derivation function, 
+PBKDF2, specified in RSA PKCS#5 v2.0.")
+    (license license:expat)))
-- 
2.7.4